Get All Choice Lists

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

choice_lists = fulcrum.choice_lists.search()

for choice_list in choice_lists['choice_lists']:
  # print(choice_list) # entire choice list
  print(choice_list['name']) # just the choice list name
import { FulcrumClient, FulcrumRegion } from '@fulcrumapp/fulcrum-js';
const client = new FulcrumClient({
  apiKey: '{token}',
  // Use the region configured for your Fulcrum account.
  region: FulcrumRegion.US
});

client.choiceLists.getAll()
  .then((response) => {
    console.log(response.data);
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')

lists = client.choice_lists.all()

for list in lists.objects do
  # puts list # entire choice list definition
  puts list['name'] # just the choice list name
end
Query Params
int32
Defaults to 1

The page number requested

int32
Defaults to 20000

Number of items per page

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json